<?php
/*---------------------------------------------------------------*/
/*
    Titre : Affiche aléatoirement en MySQLi les éléments d'une table                                                   
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1106
    Date dition     : 13 Sept 2019                                                                                       
    Date mise  jour : 13 Sept 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/?>
    --
    -- Table `phpsources_test`
    --

    CREATE TABLE IF NOT EXISTS `phpsources_test` (
      `id_test` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
      `texte` text,
      PRIMARY KEY (`id_test`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;

    --
    -- Données de la table `phpsources_test`
    --

    INSERT INTO `phpsources_test` (`id_test`, `texte`) VALUES
    (1, 'I love PHP'),
    (2, 'I do PHP');

                               
<?php

    $db_server = 'localhost'; // Adresse du serveur MySQL
    $db_name = '';            // Nom de la base de données
    $db_user_login = 'root';  // Nom de l'utilisateur
    $db_user_pass = '';       // Mot de passe de l'utilisateur

    // Ouvre une connexion au serveur MySQL
    $conn = mysqli_connect($db_server,$db_user_login, $db_user_pass, $db_name);


    // Nombre d'éléments à extraire aléatoirement
    $a = 1;
       
    $requete = $conn->query(
"SELECT * FROM phpsources_test ORDER BY rand() LIMIT $a");
    while ($row = mysqli_fetch_array($requete))
    {
      echo $row['texte'].'<br />';
    }
?>